Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 472910 - Missing /etc/nocpulse/NOCpulse/config/static/notif.ini
Summary: Missing /etc/nocpulse/NOCpulse/config/static/notif.ini
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-25 15:51 UTC by Miroslav Suchý
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:51 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2008-11-25 15:51:52 UTC
Description of problem:
perl -e 'use NOCpulse::Notif::Acknowledgement'
Failed to open /etc/nocpulse/NOCpulse/config/static/notif.ini: No such file or directory at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/NotifMailer.pm line 26
Can't call method "val" on an undefined value at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/NotifMailer.pm line 28.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/Acknowledgement.pm line 16.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/Acknowledgement.pm line 16.
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1..


notif.ini -- configuration file detailing serverid (in the notification farm) and the box's address.  Currently hooked into the sysvstep framework and generated by notification system startup.

Since we do not us sysvstep for installation this file is not created.

Comment 1 Miroslav Suchý 2008-11-28 15:38:01 UTC
Note for myself:

On old Satellite (ie. previous state):
[root@sputnik-prod:~]# ls -ld /opt/notification/config/stage/config/static
lrwxrwxrwx  1 nocpulse nocpulse 12 Sep 10 15:04 /opt/notification/config/stage/config/static -> ../../static
[root@sputnik-prod:~]# ls -ld /opt/notification/config/static
drwxr-xr-x  2 nocpulse nocpulse 4096 Nov 25 17:16 /opt/notification/config/static

On current spacewalk:
[root@xen33 tmp]# ls -ld /etc/notification/static/
drwxr-xr-x 2 nocpulse nocpulse 4096 Nov 27 18:07 /etc/notification/static/
[root@xen33 tmp]# rpm -qf /etc/notification/static/
NPalert-1.125.20-1.el5

So I should change the path in NPalert packages

Comment 2 Miroslav Suchý 2008-12-01 10:36:58 UTC
Commited as 03c71cf99784e1ef9e5456237733f67a34e9aac5

Comment 3 Jan Pazdziora 2009-01-15 10:20:57 UTC
The notif.ini seems to be present (albeit in different directory) and 
NOCpulse::Notif::Acknowledgement from

  # rpm -qf /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Notif/Acknowledgement.pm
  NPalert-1.125.26-1.el5

finds it just fine:

  # perl -e 'use NOCpulse::Notif::Acknowledgement'
  # strace perl -e 'use NOCpulse::Notif::Acknowledgement' 2>&1 | grep notif.ini
  open("/etc/notification/static/notif.ini", O_RDONLY|O_LARGEFILE) = 4


Note You need to log in before you can comment on or make changes to this bug.